Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0009073 [DCSS] Bug Report minor always 2014-10-24 05:22 2014-12-30 17:34
Reporter coledot View Status public  
Assigned To PleasingFungus
Priority normal Resolution done  
Status resolved   Product Branch 0.15 ancient branch
Summary 0009073: Dithmenos likes it when steam dragons are killed
Description See summary & screenshot. Doesn't make thematic sense since Dith dislikes fire/light and steam dragons don't (directly) use either.
Additional Information
Tags No tags attached.
Attached Files png file icon Screen Shot 2014-10-23 at 8.14.04 PM.png [^] (185,650 bytes) 2014-10-24 05:22

- Relationships

-  Notes
(0027546)
PleasingFungus (administrator)
2014-10-24 05:37

The technical reason is that steam breath is tagged a "fire" ability; it checks fire resistance (sort of, basically). Similarly, Pale Draconian players are forbidden from using their steam breath.

I don't feel strongly about whether this *should* be the case, but that's why it *is* at present.
(0027548)
coledot (reporter)
2014-10-24 21:13

Fair enough; I admit the issue's pretty minor. Was just taken a bit aback when it happened in-game.
(0028177)
PleasingFungus (administrator)
2014-12-30 17:34

Fixed in c712b18.

- Issue History
Date Modified Username Field Change
2014-10-24 05:22 coledot New Issue
2014-10-24 05:22 coledot File Added: Screen Shot 2014-10-23 at 8.14.04 PM.png
2014-10-24 05:37 PleasingFungus Note Added: 0027546
2014-10-24 21:13 coledot Note Added: 0027548
2014-12-30 17:34 PleasingFungus Note Added: 0028177
2014-12-30 17:34 PleasingFungus Status new => resolved
2014-12-30 17:34 PleasingFungus Fixed in Branch => 0.16 development branch
2014-12-30 17:34 PleasingFungus Resolution open => done
2014-12-30 17:34 PleasingFungus Assigned To => PleasingFungus


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker